INSERT INTO esia_web_plugin(web_id, web_name, web_dir_lang, web_page_control, web_activate, web_plugin_apache_path) VALUES (DEFAULT,'Microsoft 365','lang/','control_365.php?nodeid=:id','true', '/plugin/office365/');
INSERT INTO esia_device_type(type_id, type_name, type_web_id) VALUES (DEFAULT,'Microsoft 365',(SELECT web_id FROM esia_web_plugin WHERE web_name='Microsoft 365'));





INSERT INTO public.esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
	VALUES (DEFAULT,'CHECK_API_M365_SERVICE_STATE', '/usr/local/esia/plugins/check_api_365.php','default','-A $AUTH_FILE_OFFICE365 -n <servicename>','plugin testant un service 365','7',NULL,'Microsoft','365,API,CLOUD,SERVICE');

INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_M365_SERVICE_STATE'),'GAUGE','#ok=([0-9\.]*)#',300,DEFAULT,'ok',0,-1,'number service','AREA','#007FFF');

INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_M365_SERVICE_STATE'),'GAUGE','#total=([0-9\.]*)#',300,DEFAULT,'total',0,-1,'number','LINE01','#40FF00');





INSERT INTO public.esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
	VALUES (DEFAULT,'CHECK_API_M365_ONEDRIVE_USAGE', '/usr/local/esia/plugins/check_api_365.php','default','-A $AUTH_FILE_OFFICE365 -t onedrive -n usage -a subscribe=1TB -w 80 -c 90','plugin testant l''espace utilisé de Onedrive','7',NULL,'Microsoft','365,API,CLOUD,ONEDRIVE');

INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_M365_ONEDRIVE_USAGE'),'GAUGE','#percent=([0-9\.]*)#',300,DEFAULT,'space',0,100,'percent','AREA','#007FFF');

INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_M365_ONEDRIVE_USAGE'),'GAUGE','#total=([0-9\.]*)#',300,DEFAULT,'total',0,-1,'bytes','AREA','#F79F81',2);
INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_M365_ONEDRIVE_USAGE'),'GAUGE','#used=([0-9\.]*)#',300,DEFAULT,'used',0,-1,'bytes','AREA','#58ACFA',2);

INSERT INTO public.esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
	VALUES (DEFAULT,'CHECK_API_M365_SHAREPOINT_USAGE', '/usr/local/esia/plugins/check_api_365.php','default','-A $AUTH_FILE_OFFICE365 -t sharepoint -n siteusage -a subscribe=1TB -w 80 -c 90','plugin testant l''espace utilisé de Sharepoint','7',NULL,'Microsoft','365,API,CLOUD,ONEDRIVE');

INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_M365_SHAREPOINT_USAGE'),'GAUGE','#percent=([0-9\.]*)#',300,DEFAULT,'space',0,100,'percent','AREA','#007FFF');

INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_M365_SHAREPOINT_USAGE'),'GAUGE','#total=([0-9\.]*)#',300,DEFAULT,'total',0,-1,'bytes','AREA','#F79F81',2);
INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_M365_SHAREPOINT_USAGE'),'GAUGE','#used=([0-9\.]*)#',300,DEFAULT,'used',0,-1,'bytes','AREA','#58ACFA',2);


INSERT INTO public.esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
	VALUES (DEFAULT,'CHECK_API_M365_MAILBOX_USAGE', '/usr/local/esia/plugins/check_api_365.php','default','-A $AUTH_FILE_OFFICE365 -t mailbox -n usage -w 80 -c 90','plugin testant l''utilisation des boites mails 365','7',NULL,'Microsoft','365,API,CLOUD,MAILBOX,USAGE');
INSERT INTO public.esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
	VALUES (DEFAULT,'CHECK_API_M365_MAILBOX_ACTIVITY', '/usr/local/esia/plugins/check_api_365.php','default','-A $AUTH_FILE_OFFICE365 -t mailbox -n activity -w 1500 -c 2000','plugin testant l''activité d''envoit/réception des mails sur 365','7',NULL,'Microsoft','365,API,CLOUD,MAILBOX,ACTIVITY');


INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_M365_MAILBOX_ACTIVITY'),'GAUGE','#send=([0-9\.]*)#',300,DEFAULT,'send',0,-1,'numbers','LINE1','#007FFF');

INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_M365_MAILBOX_ACTIVITY'),'GAUGE','#received=([0-9\.]*)#',300,DEFAULT,'received',0,-1,'numbers','LINE1','#F79F81',2);
INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_M365_MAILBOX_ACTIVITY'),'GAUGE','#read=([0-9\.]*)#',300,DEFAULT,'read',0,-1,'numbers','LINE1','#58ACFA',2);

INSERT INTO public.esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
	VALUES (DEFAULT,'CHECK_API_M365_AD_SYNC', '/usr/local/esia/plugins/check_api_365.php','default','-A $AUTH_FILE_OFFICE365 -t AD -w 1 -c 2','plugin testant la synchronisation local de l''active directory ','7',NULL,'Microsoft','365,API,CLOUD,AD,SYNCHRONISATION');



INSERT INTO public.esia_device_advance_config_type( device_config_type_id, device_config_type_name, device_config_type_controller, device_config_type_webplugin_id) VALUES (DEFAULT,'OFFICE365','adv_365.php', (SELECT web_id FROM esia_web_plugin WHERE web_name='Microsoft 365'));
